<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<div>

  <div class="modal-header">
    <h4
      class="modal-title overflow-hidden text-overflow-ellipsis text-nowrap"
      id="modal-basic-title"
      [innerText]="messages.USER_MODIFICATION + ' ' + user.userName">
    </h4>
    <button
      type="button"
      class="btn-close"
      [title]="commonMessages.CLOSE"
      (click)="cancel()">
    </button>
  </div>

  <div class="modal-body">

    <ng-template #unavailableInTenantLessModeTooltip>
      <span [innerText]="messages.ONLY_AVAILABLE_IN_TENANTS"></span>
    </ng-template>

    <ng-template #unavailableInTenantModeTooltip>
      <span [innerText]="messages.ONLY_AVAILABLE_IN_TENANTLESS"></span>
    </ng-template>

    <ul
      ngbNav
      #nav="ngbNav"
      class="ip-tabs">

      <li [ngbNavItem]="messages.TAB_GENERAL">
        <a ngbNavLink [innerText]="messages.TAB_GENERAL"></a>
        <ng-template ngbNavContent>
          <app-admin-tenant-user-infos
            class="d-block col-6"
            [modifiedUser]="user">
          </app-admin-tenant-user-infos>
        </ng-template>
      </li>

      <li [ngbNavItem]="messages.TAB_SIGNATURE">
        <a ngbNavLink [innerText]="messages.TAB_SIGNATURE"></a>
        <ng-template ngbNavContent>
          <div class="mt-4">
            <app-edit-signature
              (signatureChangedEvent)="signatureImageChanged($event)"
              (signatureDeleteEvent)="signatureImageDeleted()"
              [(signatureImageSrc)]="signatureImageSrc">
            </app-edit-signature>
          </div>
        </ng-template>
      </li>

      <li [ngbNavItem]="messages.TAB_PRIVILEGES">
        <a ngbNavLink [innerText]="messages.TAB_PRIVILEGES"></a>
        <ng-template ngbNavContent>
          <app-admin-user-privileges
            [modifiedUser]="user"
            [tenantId]="tenantId">
          </app-admin-user-privileges>
        </ng-template>
      </li>

      <li
        [ngbNavItem]="messages.TAB_DESKS"
        [ngbTooltip]="unavailableInTenantLessModeTooltip"
        [disableTooltip]="!!tenantId"
        [disabled]="!tenantId">
        <a ngbNavLink [innerText]="messages.TAB_DESKS"></a>
        <ng-template ngbNavContent>
          <app-admin-tenant-user-desks
            [modifiedUser]="user"
            [tenantId]="tenantId">
          </app-admin-tenant-user-desks>
        </ng-template>
      </li>

      <li
        [ngbNavItem]="messages.TAB_SUPERVISING"
        [ngbTooltip]="unavailableInTenantLessModeTooltip"
        [disableTooltip]="!!tenantId"
        [disabled]="!tenantId">
        <a ngbNavLink [innerText]="messages.TAB_SUPERVISING"></a>
        <ng-template ngbNavContent>
          <app-admin-user-supervising
            [user]="user"
            [tenantId]="tenantId">
          </app-admin-user-supervising>
        </ng-template>
      </li>

      <li
        [ngbNavItem]="messages.TAB_DELEGATION_MANAGED"
        [ngbTooltip]="unavailableInTenantLessModeTooltip"
        [disableTooltip]="!!tenantId"
        [disabled]="!tenantId">
        <a ngbNavLink [innerText]="messages.TAB_DELEGATION_MANAGED"></a>
        <ng-template ngbNavContent>
          <app-admin-user-delegation-managed
            [user]="user"
            [tenantId]="tenantId">
          </app-admin-user-delegation-managed>
        </ng-template>
      </li>

      <li
        [ngbNavItem]="messages.TAB_TENANTS"
        [ngbTooltip]="unavailableInTenantModeTooltip"
        [disableTooltip]="!tenantId"
        [disabled]="!!tenantId">
        <a ngbNavLink [innerText]="messages.TAB_TENANTS"></a>
        <ng-template ngbNavContent>
          <app-admin-user-tenants
            [user]="user">
          </app-admin-user-tenants>
        </ng-template>
      </li>

    </ul>

    <div [ngbNavOutlet]="nav"></div>

  </div>

  <div class="modal-footer">
    <button
      ls-button-cancel
      (click)="cancel()">
    </button>
    <button
      ls-button-save
      (click)="onSaveButtonClicked()"
      [processing]="isProcessing">
    </button>
  </div>

</div>
